Skip to main content
Version: Next

Get declaration status

GET /core-api/customers/declaration-status

API used to get the declaration status to check whether an accepted declaration already exists.

Headers

NameRequiredDescription
AuthorizationBearer token
Content-Typeapplication/json

Query Parameters

NameRequiredDescription
providerName of the provider being used (for example: '1Invoice').
taxCodeSeller's tax code (for example: '00883243241').
sortingSort by field (for example: 'creationTime').
sortTypeSort type (DESCEND: descending, ASCEND: ascending).
formDateIssued from date (for example: '2024-12-31').
toDateIssued to date (for example: '2025-08-11').
taxAuthorityFeedbackTax authority feedback (1: Received, 2: Not received, 3: Accepted, 4: Not accepted).

Response

NameDescription
data[].idDeclaration id
data[].formalityDeclaration type, 1: Registration, 2: Change
data[].taxCodeSeller's tax code
data[].taxAuthorityFeedbackTax authority feedback (1: Received, 2: Not received, 3: Accepted, 4: Not accepted)
data[].dateCreateCreation date, ISO 8601 format
data[].statusDeclaration status, 0: Not sent, 1: Sent
data[].dateSignSigning date, ISO 8601 format
note

This endpoint is called directly (not in the /<provider>/... form); the provider is passed via the provider query parameter.

curl --location 'https://stag-invoice-hub.1invoice.vn/core-api/customers/declaration-status?provider=1Invoice&taxCode=0106026495-998&sorting=creationTime&sortType=DESCEND&fromDate=2024-12-31&toDate=2025-08-12&taxAuthorityFeedback=3' \
--header 'authorization: Bearer <token>'